gnutls_privkey_export_ecc_raw(3)

NAME
gnutls_privkey_export_ecc_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_export_ecc_raw(gnutls_privkey_t key, gnutls_ecc_curve_t * curve, gnutls_datum_t * x, gnutls_datum_t * y, gnutls_datum_t * k);

ARGUMENTS

gnutls_privkey_t key
    Holds the public key

gnutls_ecc_curve_t * curve
    will hold the curve

gnutls_datum_t * x
    will hold the x coordinate

gnutls_datum_t * y
    will hold the y coordinate

gnutls_datum_t * k
    will hold the private key

DESCRIPTION
This function will export the ECC private key's parameters found in the given structure. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/